Stop assuming CDC is not available in Cassandra versions prior to 3.8.0

Description

DataStax driver version 3.2.0 added change data capture (CDC) flag to TableOptionsMetadata and TableOptions (). As implemented in the current 3.x implementation (up to and including latest release 3.8.0), the driver checks the C* coordinator node's version to ignore any reported CDC flag for C* version less than 3.8.0. Please eliminate the C* server version check to unblock setting CDC flag to truth for anyone running a custom C* variant which backports CDC to older C* versions.

PS: I'll be submitting a PR for this ticket.

Environment

None

Pull Requests

None

Status

Assignee

Unassigned

Reporter

Jeremy Chapman

Labels

None

PM Priority

None

Affects versions

Fix versions

None

Pull Request

None

Doc Impact

None

Size

None

External issue ID

None

External issue ID

None

Components

Priority

Minor
Configure